#!/bin/sh -efu

a= . install2-init-functions
. shell-config

ALTERATOR_LOGS_DIR=/etc/alterator/logs
LOGROTATE_DIR=/etc/logrotate.d
OSEC_PIPE_CONF=/etc/osec/pipe.conf
OSEC_LOG=/var/log/osec.log

cat > "$destdir/$ALTERATOR_LOGS_DIR/osec.desktop" <<OSEC_DESKTOP
[Desktop Entry]
Type=Application
Categories=X-Alterator-Xorg
Icon=secure
Terminal=false
Name=Files integrity
Name[ru]=Проверка целостности файлов
X-Alterator-URI=$OSEC_LOG
OSEC_DESKTOP

cat > "$destdir/$LOGROTATE_DIR/osec" <<OSEC_LOGROTATE
$OSEC_LOG {
    weekly
    rotate 5
    missingok
    notifempty
    compress
}
OSEC_LOGROTATE

shell_config_set "$destdir/$OSEC_PIPE_CONF" SEND_PIPE "'cat >>$OSEC_LOG'"

